
<?php
// on UBUNTU
$handle = fopen('/dev/ttyUSB0', 'w');

// $handle = fopen('/dev/tty.usbserial','w');

//abre cupon
$arre = chr(2) . chr(6) . chr(0) . chr(28) . chr(83) . chr(48) . chr(49) . chr(208) . chr(0);

@fwrite($handle, $arre);

echo 'esperando 1';

usleep(2500000);

$arre2 = chr(2) . chr(8) . chr(0) . chr(28) . chr(20) . chr(97) . chr(97) . chr(97) . chr(10) . chr(93) . chr(1);

@fwrite($handle, $arre2);

echo 'esperando 2';

usleep(2500000);

$arre3 = chr(2) . chr(4) . chr(0) . chr(28) . chr(21) . chr(49) . chr(0);

@fwrite($handle, $arre3);
echo 'esperando 3';

fclose($handle);
?>
